package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("推荐菜品")
public class AppletRecommendDishesVO {
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品价格")
   private Integer dishesPrice;
   @ApiModelProperty("菜品图片")
   private String dishesImgUrl;

   public String getDishesImgUrl() {
      return SysUtil.getCutFileUrl(this.dishesImgUrl);
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getDishesPrice() {
      return this.dishesPrice;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setDishesPrice(final Integer dishesPrice) {
      this.dishesPrice = dishesPrice;
   }

   public void setDishesImgUrl(final String dishesImgUrl) {
      this.dishesImgUrl = dishesImgUrl;
   }
}
